<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: mapfile Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">mapfile Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This struct is used in processing map files a map file is a list of "key" " -&gt; " "value" text lines.  
 <a href="structmapfile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="mapper_8h_source.html">mapper.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a69ec24fb2d0a5f5e532deb9adaab81d6"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#a69ec24fb2d0a5f5e532deb9adaab81d6">uri</a></td></tr>
<tr class="memdesc:a69ec24fb2d0a5f5e532deb9adaab81d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">URL of mapfile.  <a href="#a69ec24fb2d0a5f5e532deb9adaab81d6">More...</a><br /></td></tr>
<tr class="separator:a69ec24fb2d0a5f5e532deb9adaab81d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff2566f4c366b48d73479bef43ee4d2e"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#aff2566f4c366b48d73479bef43ee4d2e">buffer</a></td></tr>
<tr class="memdesc:aff2566f4c366b48d73479bef43ee4d2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">buffer to content of mapfile  <a href="#aff2566f4c366b48d73479bef43ee4d2e">More...</a><br /></td></tr>
<tr class="separator:aff2566f4c366b48d73479bef43ee4d2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae809d5359ac030c60a30a8f0b2294b82"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#ae809d5359ac030c60a30a8f0b2294b82">length</a></td></tr>
<tr class="memdesc:ae809d5359ac030c60a30a8f0b2294b82"><td class="mdescLeft">&#160;</td><td class="mdescRight">lenght of buffer  <a href="#ae809d5359ac030c60a30a8f0b2294b82">More...</a><br /></td></tr>
<tr class="separator:ae809d5359ac030c60a30a8f0b2294b82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c968ee6eb10c4ba386621ba90472862"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#a6c968ee6eb10c4ba386621ba90472862">pt</a></td></tr>
<tr class="memdesc:a6c968ee6eb10c4ba386621ba90472862"><td class="mdescLeft">&#160;</td><td class="mdescRight">pointer to last readed entry in buffer  <a href="#a6c968ee6eb10c4ba386621ba90472862">More...</a><br /></td></tr>
<tr class="separator:a6c968ee6eb10c4ba386621ba90472862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5892a9181e6a332f84d27aecd41dcd12"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#a5892a9181e6a332f84d27aecd41dcd12">key</a></td></tr>
<tr class="memdesc:a5892a9181e6a332f84d27aecd41dcd12"><td class="mdescLeft">&#160;</td><td class="mdescRight">key entry in current buffer  <a href="#a5892a9181e6a332f84d27aecd41dcd12">More...</a><br /></td></tr>
<tr class="separator:a5892a9181e6a332f84d27aecd41dcd12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e9aec275e566b978a3ccb4e043d8c61"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmapfile.html#a4e9aec275e566b978a3ccb4e043d8c61">value</a></td></tr>
<tr class="memdesc:a4e9aec275e566b978a3ccb4e043d8c61"><td class="mdescLeft">&#160;</td><td class="mdescRight">value assigned to key  <a href="#a4e9aec275e566b978a3ccb4e043d8c61">More...</a><br /></td></tr>
<tr class="separator:a4e9aec275e566b978a3ccb4e043d8c61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This struct is used in processing map files a map file is a list of "key" " -&gt; " "value" text lines. </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00063">63</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aff2566f4c366b48d73479bef43ee4d2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff2566f4c366b48d73479bef43ee4d2e">&#9670;&nbsp;</a></span>buffer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* buffer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>buffer to content of mapfile </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00067">67</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a5892a9181e6a332f84d27aecd41dcd12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5892a9181e6a332f84d27aecd41dcd12">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>key entry in current buffer </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00073">73</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="ae809d5359ac030c60a30a8f0b2294b82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae809d5359ac030c60a30a8f0b2294b82">&#9670;&nbsp;</a></span>length</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t length</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>lenght of buffer </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00069">69</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a6c968ee6eb10c4ba386621ba90472862"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c968ee6eb10c4ba386621ba90472862">&#9670;&nbsp;</a></span>pt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* pt</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>pointer to last readed entry in buffer </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00071">71</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a69ec24fb2d0a5f5e532deb9adaab81d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69ec24fb2d0a5f5e532deb9adaab81d6">&#9670;&nbsp;</a></span>uri</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* uri</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>URL of mapfile. </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00065">65</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<a id="a4e9aec275e566b978a3ccb4e043d8c61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e9aec275e566b978a3ccb4e043d8c61">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>value assigned to key </p>

<p class="definition">Definition at line <a class="el" href="mapper_8h_source.html#l00075">75</a> of file <a class="el" href="mapper_8h_source.html">mapper.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mapper_8h_source.html">mapper.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
